GET /pool/{uuid}/runtime/server/hmonstat/

GET /pool/{uuid}/runtime/server/hmonstat/

/pool/{uuid}/runtime/server/hmonstat/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/server/hmonstat
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns HealthMonitorStatRuntime of type(s) application/json
{
    "last_transition_timestamp_1": {
        "secs": 0,
        "usecs": 0
    },
    "last_transition_timestamp_2": {
        "secs": 0,
        "usecs": 0
    },
    "last_transition_timestamp_3": {
        "secs": 0,
        "usecs": 0
    },
    "proc_id": "string",
    "se_uuid": "string",
    "server_hm_stat": [
        {
            "gslb_hm_failure": 0,
            "gslb_shard_failure_timestamp_1": {
                "secs": 0,
                "usecs": 0
            },
            "gslb_shard_failure_timestamp_2": {
                "secs": 0,
                "usecs": 0
            },
            "gslb_shard_failure_timestamp_3": {
                "secs": 0,
                "usecs": 0
            },
            "gslb_shard_hm_failure": 0,
            "ip_addr": {
                "addr": "string",
                "type": "string"
            },
            "last_transition_timestamp_1": {
                "secs": 0,
                "usecs": 0
            },
            "last_transition_timestamp_2": {
                "secs": 0,
                "usecs": 0
            },
            "last_transition_timestamp_3": {
                "secs": 0,
                "usecs": 0
            },
            "oper_status": {
                "last_changed_time": {
                    "secs": 0,
                    "usecs": 0
                },
                "reason": [
                    "string"
                ],
                "reason_code": 0,
                "reason_code_string": "string",
                "state": "string"
            },
            "port": 0,
            "server_name": "string",
            "shm_runtime": [
                {
                    "avg_response_time": 0,
                    "bad_response_string": "string",
                    "bad_response_timestamp": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "curr_count": [
                        {
                            "count": 0,
                            "type": "string"
                        }
                    ],
                    "curr_failed_checks": 0,
                    "fall_count": 0,
                    "health_monitor_name": "string",
                    "health_monitor_type": "string",
                    "hm_icmp_accept_rsp": 0,
                    "hm_icmp_id": 0,
                    "hm_icmp_seq": 0,
                    "hm_initial": 0,
                    "last_transition_timestamp_1": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "last_transition_timestamp_2": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "last_transition_timestamp_3": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "max_response_time": 0,
                    "min_response_time": 0,
                    "port": 0,
                    "protocol": 0,
                    "recent_response_time": 0,
                    "request_string": "string",
                    "response_code": 0,
                    "response_string": "string",
                    "rise_count": 0,
                    "snat_ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "ssl_error_code": "string",
                    "state": 0,
                    "total_checks": 0,
                    "total_count": [
                        {
                            "count": 0,
                            "type": "string"
                        }
                    ],
                    "total_failed_checks": 0,
                    "uuid": "string"
                }
            ]
        }
    ]
}
object
last_transition_timestamp_1
Optional

last_transition_timestamp_1

object
last_transition_timestamp_2
Optional

last_transition_timestamp_2

object
last_transition_timestamp_3
Optional

last_transition_timestamp_3

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
server_hm_stat
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/server/hmonstat